[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCustomMemoryStream.Memory

Pointer to the data kept in the memory stream.

## Declaration

Source position: classesh.inc line 949

`public property TCustomMemoryStream.Memory : Pointer read FMemory;`

## Description

Memory points to the memory area where stream keeps it's data. The property is read-only, so the pointer cannot be set this way.

Remark: | Do not write to the memory pointed to by Memory, since the memory content may be read-only, and thus writing to it may cause errors.

## See also

TStream.Size |  | The current size of the stream.

Documentation generated on: Feb 26 2014